# Uses of Class
org.lwjgl.opengles.EGLSurface

Packages that use EGLSurface
Package
Description
org.lwjgl.opengles

## Uses of EGLSurface in org.lwjgl.opengles

Methods in org.lwjgl.opengles that return EGLSurface
Modifier and Type
Method
Description
`EGLSurface`
EGLDisplay.`createWindowSurface(EGLConfig config, long window, IntBuffer attrib_list)`
Creates an on-screen rendering surface on this EGL display.
`static EGLSurface`
EGL.`eglGetCurrentSurface(int readdraw)`
Returns the EGL surfaces used for rendering by the current context.
Methods in org.lwjgl.opengles with parameters of type EGLSurface
Modifier and Type
Method
Description
`static void`
EGL.`eglQuerySurface(EGLDisplay dpy, EGLSurface surface, int attribute, IntBuffer value)`
Returns the value of the specified EGL surface attribute in the value parameter.
`void`
EGLContext.`makeCurrent(EGLSurface surface)`
`void`
EGLContext.`makeCurrent(EGLSurface draw, EGLSurface read)`
`void`
PixelFormat.`setSurfaceAttribs(EGLSurface surface)`
Applies this PixelFormat's surface attributes to the specified EGL surface.